Updating to Snow Leopard!!!

So today, I decided to update to Snow Leopard from Leopard. It took only 45 minutes using the real DVD. I am about to migrate from Microsoft Entourage to Apple Mail. All seems to be OK till I try to compile a LaTEX document.

What the !!!???!!!!

Where did my pdflatex binary go ?? I swear I had it!!! AARGHHHH . So I open a terminal and do

$sudo port install teTeX

but what the hell … now port is giving me errors as it cannot seem to compile some weird library thingy!!! I check my compiler by

$ which gcc

and I get nothing. Back to the DVD to re install XCode to get GCC. Now, I run a script which does database migrations for me to ensure I haven’t lost any data, and TA DA  … I cannot seem to connect to mysql. Almost knowing what I will get, I do the following :

$ which mysql

and once again I get nothing. So I ended up re-installing mysql, macports. But in the end when I tried to re-install LaTEX, I got this …


Error: You cannot install fontconfig for the architecture(s) x86_64 because
Error: its dependency expat only contains the architecture(s) i386.
Error:
Error: Did you upgrade to a new version of Mac OS X? If so, please see
Error:
Error: http://trac.macports.org/wiki/Migration
Error:
Error: Target org.macports.configure returned: incompatible architectures in dependencies
Error: Unable to upgrade port: 1
Error: Unable to execute port: upgrade Xft2 failed
Before reporting a bug, first run the command again with the -d flag to get complete output.

The annoying thing is, I am not on a 64 bit system. At All!

I am off to TextMate to find out if it has a LaTEX bundle somewhere. 🙁

Categories:

Tags:

About “Mujtaba Hussain”

I have no idea what to write here :(